Package ru.bgcrm.plugin.bgbilling.proto.model.bill

# Class Document

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.bill.Document

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

Direct Known Subclasses:
  `Bill`, `Invoice`

public class Document extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateDate()`
  `String`
  `getCreateUser()`
  `String`
  `getMonth()`
  `String`
  `getNumber()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getTypeTitle()`
  `void`
  `setCreateDate(Date createDate)`
  `void`
  `setCreateUser(String createUser)`
  `void`
  `setMonth(String month)`
  `void`
  `setNumber(String number)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTypeTitle(String typeTitle)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Document

    public Document()

- ## Method Details

  - ### getMonth

    public String getMonth()

  - ### setMonth

    public void setMonth(String month)

  - ### getNumber

    public String getNumber()

  - ### setNumber

    public void setNumber(String number)

  - ### getCreateDate

    public Date getCreateDate()

  - ### setCreateDate

    public void setCreateDate(Date createDate)

  - ### getCreateUser

    public String getCreateUser()

  - ### setCreateUser

    public void setCreateUser(String createUser)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)